Subject: Re: [PATCH] Various new ibm405 DCRN #defines

From: Josh Boyer <[email-masked]>
Date: Tue, 22 Jan 2008 13:23:33 -0600

On Tue, 22 Jan 2008 13:15:07 -0600
Joshua Williams <[email-masked]> wrote:

> Josh Boyer wrote:
> > On Tue, 22 Jan 2008 11:08:38 -0600
> > Joshua Williams <[email-masked]> wrote:
> > 
> >> Benjamin Herrenschmidt wrote:
> >>> On Mon, 2008-01-21 at 16:43 -0600, Joshua Williams wrote:
> >>>> Various new ibm405 DCRN #defines.
> >>>>
> >>>>      Signed-off-by: Joshua Williams <[email-masked]>
> >>> May I ask what for ? :-) Also, it's all arch/ppc, not arch/powerpc...
> >>> nothing we want to improve to much on at this stage unless there's a
> >>> really good reason.
> >> The 405x #defines were incomplete and this was meant to
> >> make them a bit tighter.  Since arch/ppc is in life support
> >> mode this can wait until the 405x stuff gets moved over to
> >> arch/powerpc.
> > 
> > Which 405x stuff?  Walnut is moved over already.  Other boards will
> > need to be ported by people that have those boards.
> 
> Gotcha.  I'll revisit this once everything has been moved over.

Sorry, maybe Ben and I aren't being clear.  405GP (Walnut) support is
in arch/powerpc.  There is also support for 405EX and 405EXr.  The
arch/ppc tree is going to die in June, whether the rest of the 405
boards are ported or not.

So are you trying to add defines for a new board, or?  I don't see much
of a reason not to go ahead and do what you're doing now rather than
later but I'll leave that up to you :)

josh